package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.FinderException;

// Ship EJB's Remote home interface
public interface ShipHomeRemote extends javax.ejb.EJBHome {

    public ShipRemote create(Integer primaryKey, String name, double tonnage)
        throws javax.ejb.CreateException, RemoteException;

    public ShipRemote findByPrimaryKey(Object primaryKey)
        throws javax.ejb.FinderException, RemoteException;

    public Collection findAllShips()
        throws FinderException, RemoteException;

    public Collection findByTonnage(Double tonnage)
        throws javax.ejb.FinderException, RemoteException;

    public Collection findByTonnage(Double tonnage1, Double tonnage2)
        throws javax.ejb.FinderException, RemoteException;

    public double getAverageOfTonnage()
        throws javax.ejb.FinderException, RemoteException;

}

